#ifndef objects_h_
#define objects_h_

#include <stdio.h>

typedef struct Object__Methods * Object_MethodsPtr ;
typedef struct Object__ * Object_Ptr ;

/*
struct Object__
{
    Object_MethodsPtr methods ;
} ;
*/

typedef struct Object__Methods
{
    void (* update) (Object_Ptr) ;
    void (* draw) (Object_Ptr) ;
    void (* parse) (Object_Ptr, int valIndex, FILE *) ;
}
Object_Methods ;

extern void Object_Add (Object_Ptr) ;
extern void Object_UpdateAll (void) ;
extern void Object_DrawAll (void) ;
extern void Object_Parse (Object_Ptr, int valIndex, FILE *) ;

#endif /* objects_h_ */

